package yangtz.cs.liu.campus.service.menuFunction;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.entity.SysMenu;
import yangtz.cs.liu.campus.domain.menuFunction.MenuFunction;
import yangtz.cs.liu.campus.vo.menuFunction.MenuFunctionVO;

import java.util.List;

public interface IMenuFunctionService extends IService<MenuFunction> {

    List<MenuFunctionVO> queryList();

    List<MenuFunction> getMenuByUserId(Long userId);

    int insertMenuFunction(Long userId, List<SysMenu> menus);

}
